#-----------------------------------------------------------------------------
#
#   Loon - Game
#
#-----------------------------------------------------------------------------

import random
from humerus.hgame import HGame
from world import World
from options import options

#-------------------------------------------------------------------------------

class Game(HGame):

	app_magic = "Loon"
	save_file_suffix = ".loongame"
	
	frame_time = 1.0 / options.frame_rate_option
	
	def __init__(self):
		HGame.__init__(self)
		seed = options.random_seed_option
		if seed is not None:
			print "Using random seed", seed ###
			random.seed(seed)
	
	@property
	def world(self):
		return self.state

	def new_state(self):
		return World()
	
	def begin_frame(self):
		dt = self.frame_time
		self.world.timestep(dt)
		self.changed()
	
#	def game_is_completed(self):
#		return self.world.game_over
	
	def changed(self):
		self.unsaved_progress = True
	
#-------------------------------------------------------------------------------

game = Game()
import world
world.game = game
