#-----------------------------------------------------------------------------
#
#   Loon - Loon unit
#
#-----------------------------------------------------------------------------

from albow.image_array import get_image_array
from constructor_unit import ConstructorUnit
from constants import *

from unit_smelter import Smelter
from unit_factory import Factory
from unit_habitat import Habitat
from unit_farm import Farm
from unit_watertank import WaterTank

class Loon(ConstructorUnit):

	name = 'loon'
	title = "Loon"
	radius = 0.25
	valid_single_commands = {'build'}
	valid_multi_commands = {'move', 'get', 'put', 'mine', 'work'}
	max_health = 6
	num_angles = 4
	num_phases = 8
	images = get_image_array("unit-loon.png", (num_angles, num_phases))
	initial_resources = dict(max = LOON_MAX_RESOURCE)
	mining_rate = 1.0 # resource units per second
	selection_priority = 1
	buildable_units = [Smelter, Factory, Habitat, Farm, WaterTank]
	movement_speed = LOON_SPEED
