#-----------------------------------------------------------------------------
#
#   Loon - Smelter unit
#
#-----------------------------------------------------------------------------

from albow.resource import get_image
from unit import Unit
from resources import ResourcePack
from constants import *

class Smelter(Unit):

	title = "Smelter"
	image = get_image("unit-smelter.png")
	radius = 1.0
	
	initial_resources = dict(
		max_ore = SMELTER_MAX_RESOURCE,
		max_metal = SMELTER_MAX_RESOURCE,
		max_silica = SMELTER_MAX_RESOURCE,
		max_glass = SMELTER_MAX_RESOURCE,
	)
	
	construction_resources = dict(
		max_metal = SMELTER_REQ_METAL,
	)

	resources_accepted = {'ore', 'silica'}
	resources_supplied = {'metal', 'glass'}
	
	valid_single_commands = {'cheat'}

	def live_timestep(self, dt):
		work = dt * SMELTER_RATE
		work = self.resources.convert(work, 'ore', 'metal')
		work = self.resources.convert(work, 'silica', 'glass')
