#-----------------------------------------------------------------------------
#
#   Loon - Vector algebra
#
#-----------------------------------------------------------------------------

from __future__ import division
from math import pi, sin, cos
from numpy import array, sqrt, add

deg = pi / 180

def vector(*args):
	return array(args)

def mag(v):
	return sqrt(magsq(v))

def magsq(v):
	return add.reduce(v * v)

def unit(v):
	m = mag(v)
	if m:
		return v / m
	else:
		return vector(1, 0)

def rotate2(v, a):
	x, y = v
	s = sin(a)
	c = cos(a)
	return vector(c * x - s * y, s * x + c * y)
